<?php
/**
 * @file
 * Callback to add google plus account settings.
 */

/**
 * Callback for to add google plus account settings.
 *
 * @return array
 *   Renderable array of the form for that page.
 */
function google_plus_feeds_admin_settings_form() {
  $form = array();

  $form['google_plus_feeds_account_settings'] = array(
    '#type' => 'fieldset',
    '#title' => 'Google Account Settings',
  );

  $form['google_plus_feeds_account_settings']['google_plus_feeds_account_id'] = array(
    '#type' => 'textfield',
    '#title' => t('Google account ID'),
    '#description' => t('Google Account ID from your posts.'),
    '#default_value' => variable_get('google_plus_feeds_account_id'),
    '#size' => 60,
    '#maxlength' => 128,
    '#required' => TRUE,
  );

  $form['google_plus_feeds_account_settings']['google_plus_feeds_api_key'] = array(
    '#type' => 'textfield',
    '#title' => t('Google API Key'),
    '#default_value' => variable_get('google_plus_feeds_api_key'),
    '#description' => t('Google Plus API key from developer account from above URL.'),
    '#size' => 60,
    '#maxlength' => 128,
    '#required' => TRUE,
  );

  return system_settings_form($form);
}

