<?php

/**
 * @file
 * The theme system, which shows the feeds in block..
 */

/**
 * Theme callback for a tweet.
 *
 * @param array $google_plus_data
 *   Contains a google plus data object in its 'google_plus_feeds' key.
 *
 * @return string
 *   A string containing html for a single posts.
 */
function theme_google_plus_feeds_post($google_plus_data = array()) {
  $google_plus_data['title'] = views_trim_text(
    array(
      'max_length' => GOOGLE_PLUS_FEEDS_MAX_LENGTH,
      'word_boundary' => TRUE,
      'ellipsis' => TRUE,
      'html' => TRUE,
    ),
    $google_plus_data['title']
  );
  $data = l(
    $google_plus_data['title'],
    $google_plus_data['url'],
    array(
      'attributes' => array(
        'target' => '_blank',
      ),
    )
  );
  return $data;
}
